# <xsltextensionobject>

Represents an XSLT extension object. The object should have a default parameterless constructor and the return value should be one of the four basic XPath data types of number, string, Boolean or node set.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
assembly | file | The assembly which contains the XSLT extension object. | True
typename | string | The full type name of the XSLT extension object. | True
if | bool | Indicates if the extension object should be added to the XSLT argument list. If true then the extension object will be added; otherwise, skipped. The default is true. | False
namespaceuri | string | The namespace URI to associate with the extension object. | False
unless | bool | Indicates if the extension object should not be added to the XSLT argument list. If false then the extension object will be added; otherwise, skipped. The default is false. | False

### Requirements

Assembly: NAnt.Core (0.90.3780.0)